Bug 47736 - rpm in 7.1 is completely broken
rpm in 7.1 is completely broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-06 14:21 EDT by Joe Acosta
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 14:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2001-07-06 14:21:31 EDT
Description of Problem:
install of gnucash fails with core dump

How Reproducible:
$>rpm -Uvh gnucash*
fails with seg fault
reproducable. constantly
$>rpm --rebuild xisp.src.rpm
fails miserably, with message, "must be source rpm"
$>rpm -i xisp.src.rpm install xisp source into /usr/src/redhat
after making this directory
$>rpm -ba xisp.spec 
fails with message of supported options, same as issuing rpm --help 


Steps to Reproduce:


Actual Results:


Expected Results:
should install or rebuild rpms..


Additional Information:
 this is a clean fresh install of RH 7.1 
on an AMD 1.2GigHz T-bird with 1/2 gig of ram and 1/2 gig of swap space
Comment 1 Joe Acosta 2001-07-06 14:36:19 EDT
oh, funny thing is that gnorpm seems to work just fine.. to bad I can't build rpms using that
Comment 2 Jeff Johnson 2001-07-06 16:14:24 EDT
This is almost certainly a data problem in your database.

Try installing rpm-4.0.3-0.57 from Raw Hide or from
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
Then (I claim) a "rpm --rebuilddb" should fix your problem.

Finally, you'll need to decide which version of rpm you
wish to use. If rpm-4.0.2, then reinstall rpm-4.0.2 (but
you may see the problem reoccur). If rpm-4.0.3, then
install Raw Hide packages for gnorpm, kpackage, rpmfind,
and rpm2html from Raw Hide as well.

If the "rpm --rebuilddb" with rpm-4.0.3 doesn't fix your
problem, then please reopen this bug, and attach
a pointer (i.e. url, bugzilla attachments won't work) to
a copy of your database
	cd /var/lib
	tar czvf /tmp/rpmdb.tar.gz
and I'll get you a fix.
Comment 3 Joe Acosta 2001-07-07 22:55:11 EDT
I endedup up using the --oldpackage and 'downgrading to RH7.0" which also
segfaults.  Then I went in with the RH cdrom and took 7.1 and did and 'upgrade'
and upgraded gnorpm, which seems to have upgraded rpm as well adn now rpm is
behaving better.

Note You need to log in before you can comment on or make changes to this bug.